petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPReset

Resets a KSP context to the kspsetupcalled = 0 state and removes any allocated Vecs and Mats

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPReset(KSP ksp)

Collective on KSP

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Keywords

KSP, destroy

### See Also

KSPCreate(), KSPSetUp(), KSPSolve()

Level:beginner
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages